# Execute payment quote

`PATCH https://api.strike.me/v1/payment-quotes/{paymentQuoteId}/execute`

Source: https://docs.strike.me/api/execute-payment-quote/

---

Required scopes:

- partner.payment-quote.execute

## Path parameters

- `paymentQuoteId` (uuid, required)

## Responses

### 200 OK

`application/json`

- `paymentId` (uuid, required): The payment's ID.
- `state` (string, required): Status of the payment execution. One of `PENDING`, `COMPLETED`, `FAILED`.
- `result` (string, required): Obsolete, use State instead. One of `PENDING`, `SUCCESS`, `FAILURE`.
- `completed` (date-time): The timestamp of the payment completion.
- `delivered` (date-time): Obsolete, use Completed instead.
- `conversionRate` (object): The conversion rate details.
  - `amount` (string, required): Currency amount in decimal format.
  - `sourceCurrency` (string, required): Source currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `targetCurrency` (string, required): Target currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `amount` (object, required): The amount that the receiver will receive in sender’s currency.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `totalFee` (object): The total of all fees.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `lightningNetworkFee` (object): The fee required by LN network. Only applicable for LN payments.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `totalAmount` (object, required): The amount that the sender will spend.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `reward` (object): The reward that the sender might receive, if applicable.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `lightning` (object): Details about the payment if it was made through the Lightning Network.
  - `networkFee` (object): The fee required by LN network, if any.
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `preImage` (string): The pre-image of the payment, if available.
- `onchain` (object): Details about the payment if it was made on chain.
  - `txnId` (string): The COMPLETED onchain payment's transaction ID. Can be used to find the payment on the blockchain explorer.

### 202 Accepted

`application/json`

- `paymentId` (uuid, required): The payment's ID.
- `state` (string, required): Status of the payment execution. One of `PENDING`, `COMPLETED`, `FAILED`.
- `result` (string, required): Obsolete, use State instead. One of `PENDING`, `SUCCESS`, `FAILURE`.
- `completed` (date-time): The timestamp of the payment completion.
- `delivered` (date-time): Obsolete, use Completed instead.
- `conversionRate` (object): The conversion rate details.
  - `amount` (string, required): Currency amount in decimal format.
  - `sourceCurrency` (string, required): Source currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `targetCurrency` (string, required): Target currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `amount` (object, required): The amount that the receiver will receive in sender’s currency.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `totalFee` (object): The total of all fees.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `lightningNetworkFee` (object): The fee required by LN network. Only applicable for LN payments.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `totalAmount` (object, required): The amount that the sender will spend.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `reward` (object): The reward that the sender might receive, if applicable.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `lightning` (object): Details about the payment if it was made through the Lightning Network.
  - `networkFee` (object): The fee required by LN network, if any.
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `preImage` (string): The pre-image of the payment, if available.
- `onchain` (object): Details about the payment if it was made on chain.
  - `txnId` (string): The COMPLETED onchain payment's transaction ID. Can be used to find the payment on the blockchain explorer.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
